- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# purefa_snmp – Configure FlashArray SNMP Managers

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Manage SNMP managers on a Pure Storage FlashArray.
- Changing of a named SNMP managers version is not supported.
- This module is not idempotent and will always modify an existing SNMP manager due to hidden parameters that cannot be compared to the play parameters.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | FlashArray API token for admin privileged user.
auth_passphrase string |  | SNMPv3 only. Passphrase of 8 - 32 characters.
auth_protocol string | Choices: MD5 SHA | SNMP v3 only. Hash algorithm to use
community string |  | SNMP v2c only. Manager community ID. Between 1 and 32 characters long.
fa_url string / required |  | FlashArray management IPv4 address or Hostname.
host string |  | IPv4 or IPv6 address or FQDN to send trap messages to.
name string / required |  | Name of SNMP Manager
notification string | Choices: inform trap ← | Action to perform on event.
privacy_passphrase string |  | SNMPv3 only. Passphrase to encrypt SNMP messages. Must be between 8 and 63 non-space ASCII characters.
privacy_protocol string | Choices: AES DES | SNMP v3 only. Encryption protocol to use
state string | Choices: absent present ← | Create or delete SNMP manager
user string |  | SNMP v3 only. User ID recognized by the specified SNMP manager. Must be between 1 and 32 characters.
version string | Choices: v2c ← v3 | Version of SNMP protocol to use for the manager.

## Notes

Note

- This module requires the `purestorage` Python library
- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Delete existing SNMP manager
      purefa_snmp:
        name: manager1
        state: absent
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Create v2c SNMP manager
      purefa_snmp:
        name: manager1
        community: public
        host: 10.21.22.23
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Create v3 SNMP manager
      purefa_snmp:
        name: manager2
        version: v3
        auth_protocol: MD5
        auth_passphrase: password
        host: 10.21.22.23
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Update existing SNMP manager
      purefa_snmp:
        name: manager1
        community: private
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.